# Uses of Class
org.apache.commons.math3.fitting.WeightedObservedPoint

Packages that use WeightedObservedPoint
Package
Description
org.apache.commons.math3.fitting
Classes to perform curve fitting.

## Uses of WeightedObservedPoint in org.apache.commons.math3.fitting

Methods in org.apache.commons.math3.fitting that return WeightedObservedPoint
Modifier and Type
Method
Description
`WeightedObservedPoint[]`
CurveFitter.`getObservations()`
Deprecated.
Get the observed points.
Methods in org.apache.commons.math3.fitting that return types with arguments of type WeightedObservedPoint
Modifier and Type
Method
Description
`List<WeightedObservedPoint>`
WeightedObservedPoints.`toList()`
Gets a snapshot of the observed points.
Methods in org.apache.commons.math3.fitting with parameters of type WeightedObservedPoint
Modifier and Type
Method
Description
`void`
WeightedObservedPoints.`add(WeightedObservedPoint observed)`
Adds a point to the sample.
`void`
CurveFitter.`addObservedPoint(WeightedObservedPoint observed)`
Deprecated.
Add an observed weighted (x,y) point to the sample.
Method parameters in org.apache.commons.math3.fitting with type arguments of type WeightedObservedPoint
Modifier and Type
Method
Description
`double[]`
AbstractCurveFitter.`fit(Collection<WeightedObservedPoint> points)`
Fits a curve.
`protected abstract LeastSquaresProblem`
AbstractCurveFitter.`getProblem(Collection<WeightedObservedPoint> points)`
Creates a least squares problem corresponding to the appropriate curve.
`protected LeastSquaresProblem`
GaussianCurveFitter.`getProblem(Collection<WeightedObservedPoint> observations)`
Creates a least squares problem corresponding to the appropriate curve.
`protected LeastSquaresProblem`
HarmonicCurveFitter.`getProblem(Collection<WeightedObservedPoint> observations)`
Creates a least squares problem corresponding to the appropriate curve.
`protected LeastSquaresProblem`
PolynomialCurveFitter.`getProblem(Collection<WeightedObservedPoint> observations)`
Creates a least squares problem corresponding to the appropriate curve.
`protected LeastSquaresProblem`
SimpleCurveFitter.`getProblem(Collection<WeightedObservedPoint> observations)`
Creates a least squares problem corresponding to the appropriate curve.
Constructors in org.apache.commons.math3.fitting with parameters of type WeightedObservedPoint
Modifier
Constructor
Description
``
`ParameterGuesser(WeightedObservedPoint[] observations)`
Constructs instance with the specified observed points.
``
`ParameterGuesser(WeightedObservedPoint[] observations)`
Simple constructor.
Constructor parameters in org.apache.commons.math3.fitting with type arguments of type WeightedObservedPoint
Modifier
Constructor
Description
``
`ParameterGuesser(Collection<WeightedObservedPoint> observations)`
Constructs instance with the specified observed points.
``
`ParameterGuesser(Collection<WeightedObservedPoint> observations)`
Simple constructor.
``
`TheoreticalValuesFunction(ParametricUnivariateFunction f, Collection<WeightedObservedPoint> observations)`